# Google Play Developer API . edits . details

## Instance Methods

Fetches app details for this edit. This includes the default language and developer support contact information.

Updates app details for this edit. This method supports patch semantics.

Updates app details for this edit.

### Method Details

`get(packageName, editId)`

    Fetches app details for this edit. This includes the default language and developer support contact information.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)

    Returns:
      An object of the form:

        {
          "contactEmail": "A String", # The user-visible support email for this app.
          "contactPhone": "A String", # The user-visible support telephone number for this app.
          "contactWebsite": "A String", # The user-visible website for this app.
          "defaultLanguage": "A String", # Default language code, in BCP 47 format (eg "en-US").
        }

`patch(packageName, editId, body)`

    Updates app details for this edit. This method supports patch semantics.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "contactEmail": "A String", # The user-visible support email for this app.
        "contactPhone": "A String", # The user-visible support telephone number for this app.
        "contactWebsite": "A String", # The user-visible website for this app.
        "defaultLanguage": "A String", # Default language code, in BCP 47 format (eg "en-US").
      }

    Returns:
      An object of the form:

        {
          "contactEmail": "A String", # The user-visible support email for this app.
          "contactPhone": "A String", # The user-visible support telephone number for this app.
          "contactWebsite": "A String", # The user-visible website for this app.
          "defaultLanguage": "A String", # Default language code, in BCP 47 format (eg "en-US").
        }

`update(packageName, editId, body)`

    Updates app details for this edit.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "contactEmail": "A String", # The user-visible support email for this app.
        "contactPhone": "A String", # The user-visible support telephone number for this app.
        "contactWebsite": "A String", # The user-visible website for this app.
        "defaultLanguage": "A String", # Default language code, in BCP 47 format (eg "en-US").
      }

    Returns:
      An object of the form:

        {
          "contactEmail": "A String", # The user-visible support email for this app.
          "contactPhone": "A String", # The user-visible support telephone number for this app.
          "contactWebsite": "A String", # The user-visible website for this app.
          "defaultLanguage": "A String", # Default language code, in BCP 47 format (eg "en-US").
        }